Get Departments

Returns the list of departments for a given institution and academic year.

Api

Route
/Departments/api/Institution/{institutionId}/Year/{academicYearId}
Method
GET
Key Required
Yes
Common Response
No
Response Type
Array of Department

Route Parameters

institutionId (integer)
The institution id (from: Get Institutions)
academicYearId (integer)
The academic year id (from: Get Academic Years)

Query Parameters (Optional)

includeTerminated (boolean)
When true, includes departments that have been terminated. Defaults to false.

Curl Example

curl -X 'GET' \
  'https://prod.assistng.org/Departments/api/Institution/110/Year/74' \
  -H 'accept: application/json' -H 'API-Key':'<redacted>'
  • institutionId = 110 (Allan Hancock College)
  • academicYearId = 74 (2023-2024, from Get Academic Years)
  • API-Key = <redacted> (You’ll need to provide your own key.)

Sample Response

[
  {
    "description": "Visual Arts",
    "id": 13008,
    "institutionParentId": 110,
    "parentId": 13000,
    "begin": {
      "yearTermCode": "F2023",
      "id": 291,
      "beginDate": "2023-10-01T00:00:00",
      "endDate": "2024-01-01T00:00:00",
      "description": "Fall 2023",
      "code": "F2023"
    },
    "end": null,
    "code": "VA"
  }
]

Department Model

description (string)
The name/description of the department.
id (integer)
The unique identifier for the department.
institutionParentId (integer)
The id of the institution this department belongs to (corresponds to id from Get Institutions).
parentId (integer)
A shared identifier that groups all versioned records of the same department together. All versions of a department share the same parentId, allowing them to be linked across year terms.
begin (Year Term)
The year term in which this department became active.
end (Year Term)
The year term in which this department was terminated. null if the department is still active.
code (string)
A short code identifying the department.